Operating systems that support NordLayer


Currently, the NordLayer application is compatible with these operating systems:

  • Windows 10 and 11
  • macOS 10.13 or later
  • Android 8.0 or later
  • iOS 13.0 or later
  • Linux (Debian and RHEL based systems) - Ubuntu 18.04, Ubuntu 20.04, Ubuntu 21.04, Fedora34, Fedora 35, OpenSUSE Tumbleweed, Debian 10, Debian 11.

Note: In case you have any questions or are experiencing any issues, please feel free to contact our 24/7 customer support team.


Return to top